Table of Contents

## Name

XtMapWidget, XtSetMappedWhenManaged, XtUnmapWidget - map and unmap widgets

## Syntax

int XtMapWidget(Widget w);
void XtSetMappedWhenManaged(Widget w, Boolean map_when_managed);
int XtUnmapWidget(Widget w);

## Arguments

Specifies a Boolean value that indicates the new value of the map_when_managed field.

Specifies the widget.

## Description

If the widget is realized and managed and if the new value of map_when_managed is True, XtSetMappedWhenManaged maps the window. If the widget is realized and managed and if the new value of map_when_managed is False, it unmaps the window. XtSetMappedWhenManaged is a convenience function that is equivalent to (but slightly faster than) calling XtSetValues and setting the new value for the mappedWhenManaged resource. As an alternative to using XtSetMappedWhenManaged to control mapping, a client may set mapped_when_managed to False and use XtMapWidget and XtUnmapWidget explicitly.

## See Also

XtManageChildren(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also